%define upstream_name    POE-Filter-HTTP-Parser
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A HTTP POE filter for HTTP clients or servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Parser) >= 0.60.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POE) >= 1.3.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::POE::Client::TCP) >= 0.100.0
BuildRequires: perl(Test::POE::Server::TCP) >= 0.160.0
BuildArch:  noarch

%description
POE::Filter::HTTP::Parser is a the POE::Filter manpage for HTTP which is
based on the HTTP::Parser manpage.

It can be used to easily create the POE manpage based HTTP servers or
clients.

With the 'type' set to 'client', which is the default behaviour, 'get' will
parse the HTTP::Response manpage objects from HTTP streams and 'put' will
accept the HTTP::Request manpage objects and convert them to HTTP streams.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.80.0-5.mga9
+ Revision: 1830021
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.80.0-4.mga8
+ Revision: 1496894
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.80.0-3.mga7
+ Revision: 1270865
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-2.mga6
+ Revision: 1032602
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.80.0-1.mga6
+ Revision: 1002281
- update to 1.08

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-8.mga6
+ Revision: 948364
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 pterjan <pterjan> 1.60.0-7.mga5
+ Revision: 787600
- Remove wrong exclude

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-6.mga5
+ Revision: 739918
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.60.0-5.mga5
+ Revision: 733325
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 685832
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 513821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 371316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 67410
- update to 1.06

* Mon Jan 24 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 36477
- mageia rebuild
- imported package perl-POE-Filter-HTTP-Parser


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 624757
- import perl-POE-Filter-HTTP-Parser

